<?php
/**
 * @brief planner 모듈의 high class
 * @author BNU <bnufactory@gmail.com>
 **/
class planner extends ModuleObject {

    var $category_cache_path = './files/cache/planner/';

    function init() {
    }


    function moduleInstall() {
        $oModuleController = &getController('module');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminContent');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminPlannerInfo');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminSkinInfo');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminCategoryInfo');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerMyPlanner');
        $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminInsertPlanner');
        $oModuleController->insertActionForward('planner', 'model', 'getPlannerInsertForm');
        $oModuleController->insertActionForward('planner', 'model', 'getEntriesJSON');
        $oModuleController->insertActionForward('planner', 'controller', 'procPlannerAddEntry');

        return new Object();
    }


    function checkUpdate() {
        $oModuleModel = &getModel('module');

        if(!$oModuleModel->getActionForward('dispPlannerAdminContent')) return true;
        if(!$oModuleModel->getActionForward('dispPlannerAdminPlannerInfo')) return true;
        if(!$oModuleModel->getActionForward('dispPlannerAdminSkinInfo')) return true;
        if(!$oModuleModel->getActionForward('dispPlannerAdminCategoryInfo')) return true;
        if(!$oModuleModel->getActionForward('dispPlannerMyPlanner')) return true;
        if(!$oModuleModel->getActionForward('dispPlannerAdminInsertPlanner')) return true;
        if(!$oModuleModel->getActionForward('getPlannerInsertForm')) return true;
        if(!$oModuleModel->getActionForward('getEntriesJSON')) return true;
        if(!$oModuleModel->getActionForward('procPlannerAddEntry')) return true;

        return false;
    }


    function moduleUpdate() {
        $oModuleModel = &getModel('module');
        $oModuleController = &getController('module');

        if(!$oModuleModel->getActionForward('dispPlannerAdminContent'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminContent');
        if(!$oModuleModel->getActionForward('dispPlannerAdminPlannerInfo'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminPlannerInfo');
        if(!$oModuleModel->getActionForward('dispPlannerAdminSkinInfo'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminSkinInfo');
        if(!$oModuleModel->getActionForward('dispPlannerAdminCategoryInfo'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminCategoryInfo');
        if(!$oModuleModel->getActionForward('dispPlannerMyPlanner'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerMyPlanner');
        if(!$oModuleModel->getActionForward('dispPlannerAdminInsertPlanner'))
            $oModuleController->insertActionForward('planner', 'view', 'dispPlannerAdminInsertPlanner');
        if(!$oModuleModel->getActionForward('getPlannerInsertForm'))
            $oModuleController->insertActionForward('planner', 'model', 'getPlannerInsertForm');
        if(!$oModuleModel->getActionForward('getEntriesJSON'))
            $oModuleController->insertActionForward('planner', 'model', 'getEntriesJSON');
        if(!$oModuleModel->getActionForward('procPlannerAddEntry'))
            $oModuleController->insertActionForward('planner', 'controller', 'procPlannerAddEntry');

        return new Object(0, 'success_updated');
    }

}
?>