/**
 * @author BNU <bnufactory@gmail.com>
 * @brief  Planner 모듈의 개인화 스킨 자바스크립트
 **/

var Planner = function() {
    this.parent_srl;
    this.member_srl;
    this.mid_list;
    this.type;
    this.date = new Date();
    this._calendar;
    this.icon_path;
    this.calendar_ground;
    this.doGetInsertForm = doGetInsertForm;

    this.setLifepod = function() {
        this._calendar = new Calendar(this.calendar_ground);
    }
};


/* TODO 입력/수정폼 호출 메소드 */
function doGetTodoInsertForm(todo_srl) {
    var parent_srl = plannerObj.parent_srl;

    var params = new Array();
    params['parent_srl'] = parent_srl;

    // 서버에 요청하여 해당 노드의 정보를 수정할 수 있도록 한다.
    var response_tags = new Array('error','message','tpl');
    exec_xml('planner2', 'getPlanner2TodoInsertForm', params, completeGetTodoInsertForm, response_tags, params);
}

/* TODO 입력폼 호출 후 콜백 메소드 */
function completeGetTodoInsertForm(ret_obj, response_tags) {
    var todo_ground = $('#todo_ground');
    var tpl = ret_obj['tpl'];
    $('body').block();
}

/* 스케쥴 입력폼 호출 메소드 */
function doGetInsertForm(entry_srl) {
    var params = new Array();
    params['parent_srl'] = this.parent_srl;

    // 서버에 요청하여 해당 노드의 정보를 수정할 수 있도록 한다.
    var response_tags = new Array('error','message','tpl');
    exec_xml('planner2', 'getPlanner2InsertForm', params, completeGetInsertForm, response_tags, params);
}

/* TODO 입력폼 호출 후 콜백 메소드 */
function completeGetInsertForm(ret_obj, response_tags) {
    if(!ret_obj['tpl']) return;

    var tpl = ret_obj['tpl'];

    $('#insert_from_ground').html(tpl);
    $('body').block({
        message: $('#insert_from_ground'),
        css: {
            border: 'none',
            width: '500px',
            padding: '15px',
            backgroundColor: '#FFF',
            cursor: 'auto'
        }
    });
}